[SOLVED] Failed dependencies loop forever

General support questions including new installations
Post Reply
Saikrishna
Posts: 14
Joined: 2012/01/12 22:55:06

[SOLVED] Failed dependencies loop forever

Post by Saikrishna » 2013/04/06 17:02:45

Hello All,

I was trying to install one rpm and it failed due to missing dependencies, when I try to look at the dependencies and try to install them it is asking for 100+ dependencies, did any one ever face this problem? how can we fix this?

rpm -ivh /var/tmp/erlang-R15B-02.1.el6.x86_64.rpm
error: Failed dependencies:
libc.so.6(GLIBC_2.7)(64bit) is needed by erlang-R15B-02.1.el6.x86_64
libcrypto.so.10()(64bit) is needed by erlang-R15B-02.1.el6.x86_64
libtinfo.so.5()(64bit) is needed by erlang-R15B-02.1.el6.x86_64

Thanks in advance, truncated output is pasted below, would send out complete output if you wish.

Error: Missing Dependency: libssl.so.6()(64bit) is needed by package openldap-2.3.43-25.el5_8.1.x86_64 (base)
Error: Missing Dependency: libssl.so.6()(64bit) is needed by package raptor-1.4.16-3.el5.x86_64 (installed)
Error: Missing Dependency: libcrypto.so.6 is needed by package libarchive-2.8.4-5.el5.i386 (installed)
Error: Missing Dependency: libssl.so.6()(64bit) is needed by package python-ldap-2.2.0-2.1.x86_64 (installed)
Error: Missing Dependency: libcrypto.so.6()(64bit) is needed by package libEAI-1.22.12-0.3.pre2.el5.2.x86_64 (installed)
Error: Missing Dependency: libcrypto.so.6()(64bit) is needed by package httpd-2.2.3-76.el5.centos.x86_64 (installed)
Error: Missing Dependency: libcrypto.so.6()(64bit) is needed by package 1:libgda-mysql-3.0.1-6.el5.1.x86_64 (installed)
Error: Missing Dependency: libssl.so.6 is needed by package libssh2-0.18-10.el5.i386 (installed)
Error: Missing Dependency: libssl.so.6 is needed by package libesmtp-1.0.4-5.el5.i386 (installed)
Error: Missing Dependency: libssl.so.6 is needed by package libwsman1-2.2.0-5.el5.i386 (installed)

User avatar
TrevorH
Forum Moderator
Posts: 23879
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Failed dependencies loop forever

Post by TrevorH » 2013/04/06 19:35:39

Use yum to install it, not rpm.

Saikrishna
Posts: 14
Joined: 2012/01/12 22:55:06

Re: Failed dependencies loop forever

Post by Saikrishna » 2013/04/06 21:29:16

I did try yum install as well but its not working yet, output pasted below

yum install erlang-R15B-02.1.el6.x86_64.rpm
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: mirror.millry.co
* epel: mirror.steadfast.net
* extras: mirror.fdcservers.net
* updates: ftp.usf.edu
Setting up Install Process
Examining erlang-R15B-02.1.el6.x86_64.rpm: erlang-R15B-02.1.el6.x86_64
Marking erlang-R15B-02.1.el6.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package erlang.x86_64 0:R15B-02.1.el6 set to be updated
--> Processing Dependency: libc.so.6(GLIBC_2.7)(64bit) for package: erlang
--> Processing Dependency: libcrypto.so.10()(64bit) for package: erlang
--> Processing Dependency: libtinfo.so.5()(64bit) for package: erlang
--> Finished Dependency Resolution
erlang-R15B-02.1.el6.x86_64 from /erlang-R15B-02.1.el6.x86_64 has depsolving problems
--> Missing Dependency: libc.so.6(GLIBC_2.7)(64bit) is needed by package erlang-R15B-02.1.el6.x86_64 (/erlang-R15B-02.1.el6.x86_64)
erlang-R15B-02.1.el6.x86_64 from /erlang-R15B-02.1.el6.x86_64 has depsolving problems
--> Missing Dependency: libcrypto.so.10()(64bit) is needed by package erlang-R15B-02.1.el6.x86_64 (/erlang-R15B-02.1.el6.x86_64)
erlang-R15B-02.1.el6.x86_64 from /erlang-R15B-02.1.el6.x86_64 has depsolving problems
--> Missing Dependency: libtinfo.so.5()(64bit) is needed by package erlang-R15B-02.1.el6.x86_64 (/erlang-R15B-02.1.el6.x86_64)
Error: Missing Dependency: libc.so.6(GLIBC_2.7)(64bit) is needed by package erlang-R15B-02.1.el6.x86_64 (/erlang-R15B-02.1.el6.x86_64)
Error: Missing Dependency: libtinfo.so.5()(64bit) is needed by package erlang-R15B-02.1.el6.x86_64 (/erlang-R15B-02.1.el6.x86_64)
Error: Missing Dependency: libcrypto.so.10()(64bit) is needed by package erlang-R15B-02.1.el6.x86_64 (/erlang-R15B-02.1.el6.x86_64)
You could try using --skip-broken to work around the problem
You could try running: package-cleanup --problems
package-cleanup --dupes
rpm -Va --nofiles --nodigest
The program package-cleanup is found in the yum-utils package.

User avatar
TrevorH
Forum Moderator
Posts: 23879
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Failed dependencies loop forever

Post by TrevorH » 2013/04/06 21:38:54

Wait... you're posting this in the CentOS 5 section but you're trying to install an 'el6' package intended for CentOS 6. That will not work. You need an el5 package for CentOS 5 or you need to be running CentOS 6 to install the el6 package.

Saikrishna
Posts: 14
Joined: 2012/01/12 22:55:06

Re: Failed dependencies loop forever

Post by Saikrishna » 2013/04/08 03:45:32

Ok, let me download and try el5. Thx

Saikrishna
Posts: 14
Joined: 2012/01/12 22:55:06

Re: Failed dependencies loop forever

Post by Saikrishna » 2013/04/08 13:34:05

el5 worked. Thx TrevorH

User avatar
AlanBartlett
Forum Moderator
Posts: 9320
Joined: 2007/10/22 11:30:09
Location: ~/Earth/UK/England/Suffolk
Contact:

[SOLVED] Failed dependencies loop forever

Post by AlanBartlett » 2013/04/09 01:52:57

Thank you for reporting back with the good news.

On your behalf and for posterity, this thread is now marked [SOLVED].

Post Reply